import { Account, Context, Option, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
import { Key, KeyArgs } from '../types';
export type MasterEdition = Account<MasterEditionAccountData>;
export type MasterEditionAccountData = {
    key: Key;
    supply: bigint;
    maxSupply: Option<bigint>;
};
export type MasterEditionAccountDataArgs = {
    supply: number | bigint;
    maxSupply: Option<number | bigint>;
};
export declare function getMasterEditionAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MasterEditionAccountDataArgs, MasterEditionAccountData>;
export declare function deserializeMasterEdition(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): MasterEdition;
export declare function fetchMasterEdition(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<MasterEdition>;
export declare function safeFetchMasterEdition(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<MasterEdition | null>;
export declare function fetchAllMasterEdition(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<MasterEdition[]>;
export declare function safeFetchAllMasterEdition(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<MasterEdition[]>;
export declare function getMasterEditionGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<MasterEdition, {
    key: KeyArgs;
    supply: number | bigint;
    maxSupply: Option<number | bigint>;
}>;
export declare function getMasterEditionSize(): number;
export declare function findMasterEditionPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    mint: PublicKey;
}): Pda;
