import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type ApproveUseAuthorityInstructionAccounts = {
    useAuthorityRecord: PublicKey;
    owner: Signer;
    payer?: Signer;
    user: PublicKey;
    ownerTokenAccount: PublicKey;
    metadata?: PublicKey;
    mint: PublicKey;
    burner: PublicKey;
    tokenProgram?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
};
export type ApproveUseAuthorityInstructionData = {
    discriminator: number;
    numberOfUses: bigint;
};
export type ApproveUseAuthorityInstructionDataArgs = {
    numberOfUses: number | bigint;
};
export declare function getApproveUseAuthorityInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ApproveUseAuthorityInstructionDataArgs, ApproveUseAuthorityInstructionData>;
export declare function approveUseAuthority(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'payer'>, input: ApproveUseAuthorityInstructionAccounts & ApproveUseAuthorityInstructionDataArgs): WrappedInstruction;
