import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { BurnArgs, BurnArgsArgs } from '../types';
export type BurnInstructionAccounts = {
    authority?: Signer;
    collectionMetadata?: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    mint: PublicKey;
    token: PublicKey;
    masterEdition?: PublicKey;
    masterEditionMint?: PublicKey;
    masterEditionToken?: PublicKey;
    editionMarker?: PublicKey;
    tokenRecord?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
};
export type BurnInstructionData = {
    discriminator: number;
    burnArgs: BurnArgs;
};
export type BurnInstructionDataArgs = {
    burnArgs: BurnArgsArgs;
};
export declare function getBurnInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<BurnInstructionDataArgs, BurnInstructionData>;
export declare function burn(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity'>, input: BurnInstructionAccounts & BurnInstructionDataArgs): WrappedInstruction;
