"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.burnEditionNft = exports.getBurnEditionNftInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getBurnEditionNftInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u8()]], {
        description: 'BurnEditionNftInstructionData',
    }), (value) => ({ ...value, discriminator: 37 }));
}
exports.getBurnEditionNftInstructionDataSerializer = getBurnEditionNftInstructionDataSerializer;
function burnEditionNft(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const metadataAccount = input.metadata;
    const ownerAccount = input.owner;
    const printEditionMintAccount = input.printEditionMint;
    const masterEditionMintAccount = input.masterEditionMint;
    const printEditionTokenAccountAccount = input.printEditionTokenAccount;
    const masterEditionTokenAccountAccount = input.masterEditionTokenAccount;
    const masterEditionAccountAccount = input.masterEditionAccount;
    const printEditionAccountAccount = input.printEditionAccount;
    const editionMarkerAccountAccount = input.editionMarkerAccount;
    const splTokenProgramAccount = input.splTokenProgram ?? {
        ...context.programs.getPublicKey('splToken', 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA'),
        isWritable: false,
    };
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(ownerAccount);
    keys.push({
        pubkey: ownerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(ownerAccount, true),
    });
    keys.push({
        pubkey: printEditionMintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(printEditionMintAccount, true),
    });
    keys.push({
        pubkey: masterEditionMintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(masterEditionMintAccount, false),
    });
    keys.push({
        pubkey: printEditionTokenAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(printEditionTokenAccountAccount, true),
    });
    keys.push({
        pubkey: masterEditionTokenAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(masterEditionTokenAccountAccount, false),
    });
    keys.push({
        pubkey: masterEditionAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(masterEditionAccountAccount, true),
    });
    keys.push({
        pubkey: printEditionAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(printEditionAccountAccount, true),
    });
    keys.push({
        pubkey: editionMarkerAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(editionMarkerAccountAccount, true),
    });
    keys.push({
        pubkey: splTokenProgramAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(splTokenProgramAccount, false),
    });
    const data = getBurnEditionNftInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.burnEditionNft = burnEditionNft;
//# sourceMappingURL=burnEditionNft.js.map