import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type BurnV1InstructionAccounts = {
    authority?: Signer;
    collectionMetadata?: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    mint: PublicKey;
    token: PublicKey;
    masterEdition?: PublicKey;
    masterEditionMint?: PublicKey;
    masterEditionToken?: PublicKey;
    editionMarker?: PublicKey;
    tokenRecord?: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
};
export type BurnV1InstructionData = {
    discriminator: number;
    burnV1Discriminator: number;
    amount: bigint;
};
export type BurnV1InstructionDataArgs = {
    amount: number | bigint;
};
export declare function getBurnV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<BurnV1InstructionDataArgs, BurnV1InstructionData>;
export declare function burnV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity'>, input: BurnV1InstructionAccounts & BurnV1InstructionDataArgs): WrappedInstruction;
