import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { DataV2, DataV2Args } from '../types';
export type CreateMetadataAccountV2InstructionAccounts = {
    metadata?: PublicKey;
    mint: PublicKey;
    mintAuthority: Signer;
    payer?: Signer;
    updateAuthority?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
};
export type CreateMetadataAccountV2InstructionData = {
    discriminator: number;
    data: DataV2;
    isMutable: boolean;
};
export type CreateMetadataAccountV2InstructionDataArgs = {
    data: DataV2Args;
    isMutable: boolean;
};
export declare function getCreateMetadataAccountV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateMetadataAccountV2InstructionDataArgs, CreateMetadataAccountV2InstructionData>;
export declare function createMetadataAccountV2(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateMetadataAccountV2InstructionAccounts & CreateMetadataAccountV2InstructionDataArgs): WrappedInstruction;
