import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateLockedTransferV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateLockedTransferV1InstructionData = {
    discriminator: number;
    delegateLockedTransferV1Discriminator: number;
    amount: bigint;
    lockedAddress: PublicKey;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateLockedTransferV1InstructionDataArgs = {
    amount: number | bigint;
    lockedAddress: PublicKey;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateLockedTransferV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateLockedTransferV1InstructionDataArgs, DelegateLockedTransferV1InstructionData>;
export declare function delegateLockedTransferV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateLockedTransferV1InstructionAccounts & DelegateLockedTransferV1InstructionDataArgs): WrappedInstruction;
