import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateProgrammableConfigV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateProgrammableConfigV1InstructionData = {
    discriminator: number;
    delegateProgrammableConfigV1Discriminator: number;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateProgrammableConfigV1InstructionDataArgs = {
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateProgrammableConfigV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateProgrammableConfigV1InstructionDataArgs, DelegateProgrammableConfigV1InstructionData>;
export declare function delegateProgrammableConfigV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateProgrammableConfigV1InstructionAccounts & DelegateProgrammableConfigV1InstructionDataArgs): WrappedInstruction;
