import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateSaleV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateSaleV1InstructionData = {
    discriminator: number;
    delegateSaleV1Discriminator: number;
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateSaleV1InstructionDataArgs = {
    amount: number | bigint;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateSaleV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateSaleV1InstructionDataArgs, DelegateSaleV1InstructionData>;
export declare function delegateSaleV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateSaleV1InstructionAccounts & DelegateSaleV1InstructionDataArgs): WrappedInstruction;
