import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs } from '../types';
export type DelegateUtilityV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type DelegateUtilityV1InstructionData = {
    discriminator: number;
    delegateUtilityV1Discriminator: number;
    amount: bigint;
    authorizationData: Option<AuthorizationData>;
};
export type DelegateUtilityV1InstructionDataArgs = {
    amount: number | bigint;
    authorizationData: Option<AuthorizationDataArgs>;
};
export declare function getDelegateUtilityV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DelegateUtilityV1InstructionDataArgs, DelegateUtilityV1InstructionData>;
export declare function delegateUtilityV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DelegateUtilityV1InstructionAccounts & DelegateUtilityV1InstructionDataArgs): WrappedInstruction;
