import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { CreateMasterEditionArgs, CreateMasterEditionArgsArgs } from '../types';
export type DeprecatedCreateMasterEditionInstructionAccounts = {
    edition?: PublicKey;
    mint: PublicKey;
    printingMint: PublicKey;
    oneTimePrintingAuthorizationMint: PublicKey;
    updateAuthority?: Signer;
    printingMintAuthority: Signer;
    mintAuthority: Signer;
    metadata?: PublicKey;
    payer?: Signer;
    tokenProgram?: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
    oneTimePrintingAuthorizationMintAuthority: Signer;
};
export type DeprecatedCreateMasterEditionInstructionData = {
    discriminator: number;
    createMasterEditionArgs: CreateMasterEditionArgs;
};
export type DeprecatedCreateMasterEditionInstructionDataArgs = {
    createMasterEditionArgs: CreateMasterEditionArgsArgs;
};
export declare function getDeprecatedCreateMasterEditionInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DeprecatedCreateMasterEditionInstructionDataArgs, DeprecatedCreateMasterEditionInstructionData>;
export declare function deprecatedCreateMasterEdition(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: DeprecatedCreateMasterEditionInstructionAccounts & DeprecatedCreateMasterEditionInstructionDataArgs): WrappedInstruction;
