import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { LockArgs, LockArgsArgs } from '../types';
export type LockInstructionAccounts = {
    authority?: Signer;
    tokenOwner?: PublicKey;
    token: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    tokenRecord?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type LockInstructionData = {
    discriminator: number;
    lockArgs: LockArgs;
};
export type LockInstructionDataArgs = {
    lockArgs: LockArgsArgs;
};
export declare function getLockInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<LockInstructionDataArgs, LockInstructionData>;
export declare function lock(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: LockInstructionAccounts & LockInstructionDataArgs): WrappedInstruction;
