import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { RevokeArgs, RevokeArgsArgs } from '../types';
export type RevokeInstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type RevokeInstructionData = {
    discriminator: number;
    revokeArgs: RevokeArgs;
};
export type RevokeInstructionDataArgs = {
    revokeArgs: RevokeArgsArgs;
};
export declare function getRevokeInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RevokeInstructionDataArgs, RevokeInstructionData>;
export declare function revoke(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: RevokeInstructionAccounts & RevokeInstructionDataArgs): WrappedInstruction;
