import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type RevokeTransferV1InstructionAccounts = {
    delegateRecord?: PublicKey;
    delegate: PublicKey;
    metadata?: PublicKey;
    masterEdition?: PublicKey;
    tokenRecord?: PublicKey;
    mint: PublicKey;
    token?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type RevokeTransferV1InstructionData = {
    discriminator: number;
    revokeTransferV1Discriminator: number;
};
export type RevokeTransferV1InstructionDataArgs = {};
export declare function getRevokeTransferV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RevokeTransferV1InstructionDataArgs, RevokeTransferV1InstructionData>;
export declare function revokeTransferV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: RevokeTransferV1InstructionAccounts): WrappedInstruction;
