"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setAndVerifySizedCollectionItem = exports.getSetAndVerifySizedCollectionItemInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getSetAndVerifySizedCollectionItemInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u8()]], { description: 'SetAndVerifySizedCollectionItemInstructionData' }), (value) => ({
        ...value,
        discriminator: 32,
    }));
}
exports.getSetAndVerifySizedCollectionItemInstructionDataSerializer = getSetAndVerifySizedCollectionItemInstructionDataSerializer;
function setAndVerifySizedCollectionItem(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const metadataAccount = input.metadata;
    const collectionAuthorityAccount = input.collectionAuthority;
    const payerAccount = input.payer ?? context.payer;
    const updateAuthorityAccount = input.updateAuthority ?? context.identity.publicKey;
    const collectionMintAccount = input.collectionMint;
    const collectionAccount = input.collection;
    const collectionMasterEditionAccountAccount = input.collectionMasterEditionAccount;
    const collectionAuthorityRecordAccount = input.collectionAuthorityRecord;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(collectionAuthorityAccount);
    keys.push({
        pubkey: collectionAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAuthorityAccount, false),
    });
    signers.push(payerAccount);
    keys.push({
        pubkey: payerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(payerAccount, true),
    });
    keys.push({
        pubkey: updateAuthorityAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(updateAuthorityAccount, false),
    });
    keys.push({
        pubkey: collectionMintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionMintAccount, false),
    });
    keys.push({
        pubkey: collectionAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAccount, true),
    });
    keys.push({
        pubkey: collectionMasterEditionAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionMasterEditionAccountAccount, true),
    });
    if (collectionAuthorityRecordAccount) {
        keys.push({
            pubkey: collectionAuthorityRecordAccount,
            isSigner: false,
            isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAuthorityRecordAccount, false),
        });
    }
    const data = getSetAndVerifySizedCollectionItemInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.setAndVerifySizedCollectionItem = setAndVerifySizedCollectionItem;
//# sourceMappingURL=setAndVerifySizedCollectionItem.js.map