import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { SetCollectionSizeArgs, SetCollectionSizeArgsArgs } from '../types';
export type SetCollectionSizeInstructionAccounts = {
    collectionMetadata: PublicKey;
    collectionAuthority: Signer;
    collectionMint: PublicKey;
    collectionAuthorityRecord?: PublicKey;
};
export type SetCollectionSizeInstructionData = {
    discriminator: number;
    setCollectionSizeArgs: SetCollectionSizeArgs;
};
export type SetCollectionSizeInstructionDataArgs = {
    setCollectionSizeArgs: SetCollectionSizeArgsArgs;
};
export declare function getSetCollectionSizeInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetCollectionSizeInstructionDataArgs, SetCollectionSizeInstructionData>;
export declare function setCollectionSize(context: Pick<Context, 'serializer' | 'programs'>, input: SetCollectionSizeInstructionAccounts & SetCollectionSizeInstructionDataArgs): WrappedInstruction;
