"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setTokenStandard = exports.getSetTokenStandardInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const accounts_1 = require("../accounts");
function getSetTokenStandardInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u8()]], {
        description: 'SetTokenStandardInstructionData',
    }), (value) => ({ ...value, discriminator: 35 }));
}
exports.getSetTokenStandardInstructionDataSerializer = getSetTokenStandardInstructionDataSerializer;
function setTokenStandard(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const mintAccount = input.mint;
    const metadataAccount = input.metadata ??
        (0, accounts_1.findMetadataPda)(context, { mint: (0, umi_1.publicKey)(mintAccount) });
    const updateAuthorityAccount = input.updateAuthority ?? context.identity;
    const editionAccount = input.edition;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(updateAuthorityAccount);
    keys.push({
        pubkey: updateAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(updateAuthorityAccount, true),
    });
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(mintAccount, false),
    });
    if (editionAccount) {
        keys.push({
            pubkey: editionAccount,
            isSigner: false,
            isWritable: (0, umi_1.checkForIsWritableOverride)(editionAccount, false),
        });
    }
    const data = getSetTokenStandardInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.setTokenStandard = setTokenStandard;
//# sourceMappingURL=setTokenStandard.js.map