import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { TransferArgs, TransferArgsArgs } from '../types';
export type TransferInstructionAccounts = {
    token: PublicKey;
    tokenOwner: PublicKey;
    destination: PublicKey;
    destinationOwner: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    ownerTokenRecord?: PublicKey;
    destinationTokenRecord?: PublicKey;
    authority?: Signer;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    splAtaProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type TransferInstructionData = {
    discriminator: number;
    transferArgs: TransferArgs;
};
export type TransferInstructionDataArgs = {
    transferArgs: TransferArgsArgs;
};
export declare function getTransferInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferInstructionDataArgs, TransferInstructionData>;
export declare function transfer(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: TransferInstructionAccounts & TransferInstructionDataArgs): WrappedInstruction;
