import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type TransferOutOfEscrowInstructionAccounts = {
    escrow: PublicKey;
    metadata: PublicKey;
    payer?: Signer;
    attributeMint: PublicKey;
    attributeSrc: PublicKey;
    attributeDst: PublicKey;
    escrowMint: PublicKey;
    escrowAccount: PublicKey;
    systemProgram?: PublicKey;
    ataProgram?: PublicKey;
    tokenProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    authority?: Signer;
};
export type TransferOutOfEscrowInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type TransferOutOfEscrowInstructionDataArgs = {
    amount: number | bigint;
};
export declare function getTransferOutOfEscrowInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferOutOfEscrowInstructionDataArgs, TransferOutOfEscrowInstructionData>;
export declare function transferOutOfEscrow(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: TransferOutOfEscrowInstructionAccounts & TransferOutOfEscrowInstructionDataArgs): WrappedInstruction;
