import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { UnlockArgs, UnlockArgsArgs } from '../types';
export type UnlockInstructionAccounts = {
    authority?: Signer;
    tokenOwner?: PublicKey;
    token: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    tokenRecord?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type UnlockInstructionData = {
    discriminator: number;
    unlockArgs: UnlockArgs;
};
export type UnlockInstructionDataArgs = {
    unlockArgs: UnlockArgsArgs;
};
export declare function getUnlockInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UnlockInstructionDataArgs, UnlockInstructionData>;
export declare function unlock(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: UnlockInstructionAccounts & UnlockInstructionDataArgs): WrappedInstruction;
