"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unverifyCollection = exports.getUnverifyCollectionInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getUnverifyCollectionInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u8()]], {
        description: 'UnverifyCollectionInstructionData',
    }), (value) => ({ ...value, discriminator: 22 }));
}
exports.getUnverifyCollectionInstructionDataSerializer = getUnverifyCollectionInstructionDataSerializer;
function unverifyCollection(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const metadataAccount = input.metadata;
    const collectionAuthorityAccount = input.collectionAuthority;
    const collectionMintAccount = input.collectionMint;
    const collectionAccount = input.collection;
    const collectionMasterEditionAccountAccount = input.collectionMasterEditionAccount;
    const collectionAuthorityRecordAccount = input.collectionAuthorityRecord;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(collectionAuthorityAccount);
    keys.push({
        pubkey: collectionAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAuthorityAccount, true),
    });
    keys.push({
        pubkey: collectionMintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionMintAccount, false),
    });
    keys.push({
        pubkey: collectionAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAccount, false),
    });
    keys.push({
        pubkey: collectionMasterEditionAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(collectionMasterEditionAccountAccount, false),
    });
    if (collectionAuthorityRecordAccount) {
        keys.push({
            pubkey: collectionAuthorityRecordAccount,
            isSigner: false,
            isWritable: (0, umi_1.checkForIsWritableOverride)(collectionAuthorityRecordAccount, false),
        });
    }
    const data = getUnverifyCollectionInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.unverifyCollection = unverifyCollection;
//# sourceMappingURL=unverifyCollection.js.map