import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { UpdateArgs, UpdateArgsArgs } from '../types';
export type UpdateInstructionAccounts = {
    authority?: Signer;
    delegateRecord?: PublicKey;
    token?: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type UpdateInstructionData = {
    discriminator: number;
    updateArgs: UpdateArgs;
};
export type UpdateInstructionDataArgs = {
    updateArgs: UpdateArgsArgs;
};
export declare function getUpdateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UpdateInstructionDataArgs, UpdateInstructionData>;
export declare function update(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: UpdateInstructionAccounts & UpdateInstructionDataArgs): WrappedInstruction;
