"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateMetadataAccount = exports.getUpdateMetadataAccountInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const types_1 = require("../types");
function getUpdateMetadataAccountInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        [
            'data',
            s.option(s.struct([
                ['name', s.string()],
                ['symbol', s.string()],
                ['uri', s.string()],
                ['sellerFeeBasisPoints', s.u16()],
                ['creators', s.option(s.array((0, types_1.getCreatorSerializer)(context)))],
            ], { description: 'Data' })),
        ],
        ['newUpdateAuthority', s.option(s.publicKey())],
        ['primarySaleHappened', s.option(s.bool())],
    ], { description: 'UpdateMetadataAccountInstructionData' }), (value) => ({ ...value, discriminator: 1 }));
}
exports.getUpdateMetadataAccountInstructionDataSerializer = getUpdateMetadataAccountInstructionDataSerializer;
function updateMetadataAccount(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const metadataAccount = input.metadata;
    const updateAuthorityAccount = input.updateAuthority ?? context.identity;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(updateAuthorityAccount);
    keys.push({
        pubkey: updateAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(updateAuthorityAccount, false),
    });
    const data = getUpdateMetadataAccountInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.updateMetadataAccount = updateMetadataAccount;
//# sourceMappingURL=updateMetadataAccount.js.map