import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { DataV2, DataV2Args } from '../types';
export type UpdateMetadataAccountV2InstructionAccounts = {
    metadata: PublicKey;
    updateAuthority?: Signer;
};
export type UpdateMetadataAccountV2InstructionData = {
    discriminator: number;
    data: Option<DataV2>;
    newUpdateAuthority: Option<PublicKey>;
    primarySaleHappened: Option<boolean>;
    isMutable: Option<boolean>;
};
export type UpdateMetadataAccountV2InstructionDataArgs = {
    data: Option<DataV2Args>;
    newUpdateAuthority: Option<PublicKey>;
    primarySaleHappened: Option<boolean>;
    isMutable: Option<boolean>;
};
export declare function getUpdateMetadataAccountV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UpdateMetadataAccountV2InstructionDataArgs, UpdateMetadataAccountV2InstructionData>;
export declare function updateMetadataAccountV2(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: UpdateMetadataAccountV2InstructionAccounts & UpdateMetadataAccountV2InstructionDataArgs): WrappedInstruction;
