"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateMetadataAccountV2 = exports.getUpdateMetadataAccountV2InstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const types_1 = require("../types");
function getUpdateMetadataAccountV2InstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['data', s.option((0, types_1.getDataV2Serializer)(context))],
        ['newUpdateAuthority', s.option(s.publicKey())],
        ['primarySaleHappened', s.option(s.bool())],
        ['isMutable', s.option(s.bool())],
    ], { description: 'UpdateMetadataAccountV2InstructionData' }), (value) => ({
        ...value,
        discriminator: 15,
    }));
}
exports.getUpdateMetadataAccountV2InstructionDataSerializer = getUpdateMetadataAccountV2InstructionDataSerializer;
function updateMetadataAccountV2(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplTokenMetadata', 'metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s');
    const metadataAccount = input.metadata;
    const updateAuthorityAccount = input.updateAuthority ?? context.identity;
    keys.push({
        pubkey: metadataAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(metadataAccount, true),
    });
    signers.push(updateAuthorityAccount);
    keys.push({
        pubkey: updateAuthorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(updateAuthorityAccount, false),
    });
    const data = getUpdateMetadataAccountV2InstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.updateMetadataAccountV2 = updateMetadataAccountV2;
//# sourceMappingURL=updateMetadataAccountV2.js.map