import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { AuthorizationData, AuthorizationDataArgs, CollectionDetailsToggle, CollectionDetailsToggleArgs, CollectionToggle, CollectionToggleArgs, Creator, CreatorArgs, RuleSetToggle, RuleSetToggleArgs, UsesToggle, UsesToggleArgs } from '../types';
export type UpdateV1InstructionAccounts = {
    authority?: Signer;
    delegateRecord?: PublicKey;
    token?: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type UpdateV1InstructionData = {
    discriminator: number;
    updateV1Discriminator: number;
    newUpdateAuthority: Option<PublicKey>;
    data: Option<{
        name: string;
        symbol: string;
        uri: string;
        sellerFeeBasisPoints: number;
        creators: Option<Array<Creator>>;
    }>;
    primarySaleHappened: Option<boolean>;
    isMutable: Option<boolean>;
    collection: CollectionToggle;
    collectionDetails: CollectionDetailsToggle;
    uses: UsesToggle;
    ruleSet: RuleSetToggle;
    authorizationData: Option<AuthorizationData>;
};
export type UpdateV1InstructionDataArgs = {
    newUpdateAuthority?: Option<PublicKey>;
    data?: Option<{
        name: string;
        symbol: string;
        uri: string;
        sellerFeeBasisPoints: number;
        creators: Option<Array<CreatorArgs>>;
    }>;
    primarySaleHappened?: Option<boolean>;
    isMutable?: Option<boolean>;
    collection?: CollectionToggleArgs;
    collectionDetails?: CollectionDetailsToggleArgs;
    uses?: UsesToggleArgs;
    ruleSet?: RuleSetToggleArgs;
    authorizationData?: Option<AuthorizationDataArgs>;
};
export declare function getUpdateV1InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UpdateV1InstructionDataArgs, UpdateV1InstructionData>;
export declare function updateV1(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: UpdateV1InstructionAccounts & UpdateV1InstructionDataArgs): WrappedInstruction;
