import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { UseArgs, UseArgsArgs } from '../types';
export type UseInstructionAccounts = {
    authority?: Signer;
    delegateRecord?: PublicKey;
    token?: PublicKey;
    mint: PublicKey;
    metadata?: PublicKey;
    edition?: PublicKey;
    payer?: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
    splTokenProgram?: PublicKey;
    authorizationRulesProgram?: PublicKey;
    authorizationRules?: PublicKey;
};
export type UseInstructionData = {
    discriminator: number;
    useArgs: UseArgs;
};
export type UseInstructionDataArgs = {
    useArgs: UseArgsArgs;
};
export declare function getUseInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<UseInstructionDataArgs, UseInstructionData>;
export declare function use(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: UseInstructionAccounts & UseInstructionDataArgs): WrappedInstruction;
