"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPayloadType = exports.payloadType = exports.getPayloadTypeSerializer = void 0;
const _1 = require(".");
function getPayloadTypeSerializer(context) {
    const s = context.serializer;
    return s.dataEnum([
        [
            'Pubkey',
            s.struct([['fields', s.tuple([s.publicKey()])]], { description: 'Pubkey' }),
        ],
        [
            'Seeds',
            s.struct([['fields', s.tuple([(0, _1.getSeedsVecSerializer)(context)])]], { description: 'Seeds' }),
        ],
        [
            'MerkleProof',
            s.struct([['fields', s.tuple([(0, _1.getLeafInfoSerializer)(context)])]], { description: 'MerkleProof' }),
        ],
        [
            'Number',
            s.struct([['fields', s.tuple([s.u64()])]], { description: 'Number' }),
        ],
    ], { description: 'PayloadType' });
}
exports.getPayloadTypeSerializer = getPayloadTypeSerializer;
function payloadType(kind, data) {
    return Array.isArray(data)
        ? { __kind: kind, fields: data }
        : { __kind: kind, ...(data ?? {}) };
}
exports.payloadType = payloadType;
function isPayloadType(kind, value) {
    return value.__kind === kind;
}
exports.isPayloadType = isPayloadType;
//# sourceMappingURL=payloadType.js.map