"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createV1 = exports.getCreateV1InstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
const digitalAsset_1 = require("../digitalAsset");
const generated_1 = require("../generated");
const createV1_1 = require("../generated/instructions/createV1");
Object.defineProperty(exports, "getCreateV1InstructionDataSerializer", { enumerable: true, get: function () { return createV1_1.getCreateV1InstructionDataSerializer; } });
const createV1 = (context, input) => {
    const tokenStandard = input.tokenStandard ?? generated_1.TokenStandard.NonFungible;
    const defaultCollectionDetails = (input.isCollection ?? false)
        ? (0, umi_1.some)((0, generated_1.collectionDetails)('V1', { size: 0 }))
        : (0, umi_1.none)();
    const defaultMasterEdition = (0, digitalAsset_1.isFungible)(tokenStandard)
        ? undefined
        : (0, generated_1.findMasterEditionPda)(context, { mint: (0, umi_1.publicKey)(input.mint) });
    const defaultPrintSupply = (0, digitalAsset_1.isFungible)(tokenStandard)
        ? (0, umi_1.none)()
        : (0, umi_1.some)((0, generated_1.printSupply)('Zero'));
    const defaultDecimals = (0, digitalAsset_1.isFungible)(tokenStandard) ? (0, umi_1.some)(0) : (0, umi_1.none)();
    const defaultCreator = (0, umi_1.publicKey)(input.updateAuthority ?? input.authority ?? context.identity.publicKey);
    const defaultCreators = (0, umi_1.some)([
        { address: defaultCreator, share: 100, verified: true },
    ]);
    const ix = (0, createV1_1.createV1)(context, {
        masterEdition: input.masterEdition ?? defaultMasterEdition,
        ...input,
        tokenStandard,
        collectionDetails: input.collectionDetails ?? defaultCollectionDetails,
        decimals: input.decimals ?? defaultDecimals,
        printSupply: input.printSupply ?? defaultPrintSupply,
        creators: input.creators ?? defaultCreators,
    });
    if ((0, digitalAsset_1.isFungible)(tokenStandard)) {
        ix.bytesCreatedOnChain =
            82 +
                679 +
                2 * umi_1.ACCOUNT_HEADER_SIZE;
    }
    return ix;
};
exports.createV1 = createV1;
//# sourceMappingURL=createV1.js.map